#! /usr/local/bin/gawk -f

BEGIN {
	if (v!="v") 
		printf "TL DE rad range wafelength\n"
	else    printf "TL :  Descr. :  MW : Vol:Mass: Damage\n"
	}

$0 == "" {
	print
	}
$0 != "" {
	tl=$1;de=$2;r=$3;bra=$4;xr=$5

	if (de > tl * 50) de=tl*50

	ie=de*5

	vol=de*3.1416*r*r/10000
	if (tl>=12) vol=vol/10

	fm=3; rf=50; wl="  2.0 k-anstroems UV"; bpv=1.2; hpg=0.08

	if (tl <10) { fm=1; rf=33;  wl="  3.0 k-anstroems NUV"; bpv=1.5; hpg=0.1 }

	if (tl>=11) { fm=4; rf=100; wl="  1.0 k-anstroems FUV"; hpg=0.06  }
	if (tl>=12) { fm=5;                   hpg=0.05; bpv=1 }
	if (tl>=13) { fm=6;                   hpg=0.045 }
	if (tl>=14) {                         hpg=0.04; bpv=0.6 }
	if (tl>=15) { rf=1000;      wl="100.0 anstroems EUV"; hpg=0.035;bpv=0.3 }

	if (xr == "x") { rf=100000;    wl="1 anstroem EXR"; fm=tl-9 }
	f=fm*fm*r*r*4/10; er=rf*f/30000

	if (xr == "xl") { rf=100000;    wl="1 anstroem EXR"; fm=tl-9
		 f=2*r/10; er=rf*f/30000
		 ie = de/0.65
		 if (tl>13) { ie=de/0.75 }
		 if (tl>14) { ie=de/0.85 }
		 }

	if (v!="v") {
		printf "Tech-Level      : %3.3s\n", tl
		printf "Discharge       : %5.1f Mj\n", de
		printf "Diameter        : %5.1f m\n", 0.2*r
		printf "Short Range     : %5.1f clicks\n", bra
		printf "Wavelength      : %s\n", wl
		printf "Effective Range : %5.1f clicks\n", er
		printf "Power Input     : %5.1f MW\n", ie/180
		printf "HPG   Volume    : %5.1f m3\n", ie*hpg
		printf "Focal Volume    : %5.1f m3\n", vol
		printf "BeamP Volume    : %5.1f m3\n", bra*bpv
		printf "Displacement    : %5.1f dt\n", (ie*hpg+bra*bpv+vol)/14
		printf "Mass            : %5.1f t\n", ie*hpg*2+bra*bpv+vol
		printf "Damage          : "
		}
	else	printf "%2.2s : %4d Mj : %4.1f:%4.1f:%4d: ",
			tl, de, ie/180,
			(ie*hpg+bra*bpv+vol)/14, ie*hpg*2+bra*bpv+vol
	ra=bra;
	for (j=1;j<5;j++) {
		rd=er*er/(ra*ra)
		if (rd > 1) rd=1
		printf "%2d:%s1/%d-%2d ", ra,
			0.8*sqrt(de*rd)+0.5 >= 10 ? "" : " ",
			0.8*sqrt(de*rd)+0.5,
			2.5*sqrt(de*rd)+0.5
		ra=ra*2
		}

	printf "\n"
	}
